import { StyleSheet } from "./sheet";
import type { StandardEngine, KeyframesObject, FontFaceObject, StyleObject } from "styletron-standard";
declare type hydrateT = HTMLCollection | Array<HTMLStyleElement> | NodeList;
declare type optionsT = {
    hydrate?: hydrateT;
    container?: Element;
    prefix?: string;
    strict?: boolean;
    speedy?: boolean;
};
declare type cacheT = {
    [key: string]: true;
};
declare class StyletronClient implements StandardEngine {
    container: Element;
    opts: optionsT;
    styleSheet: StyleSheet;
    cache: cacheT;
    constructor(opts?: optionsT);
    renderStyle(styles: StyleObject): string;
    renderFontFace(fontFace: FontFaceObject): string;
    renderKeyframes(keyframes: KeyframesObject): string;
}
export default StyletronClient;
//# sourceMappingURL=client.d.ts.map